Summary:	Framework for developing Web applications in Python
Summary(pl.UTF-8):	Szkielet do tworzenia aplikacji WWW w Pythonie
Name:		python-quixote
Version:	2.6
Release:	4
Epoch:		1
License:	MIT
Group:		Development/Languages/Python
Source0:	http://quixote.ca/releases/Quixote-%{version}.tar.gz
# Source0-md5:	e9c727ab337a66776d960b3da84fce9d
URL:		http://www.mems-exchange.org/software/quixote/
BuildRequires:	pydoc
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-modules
Obsoletes:	Quixote
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Quixote is yet another framework for developing Web applications in
Python. The design goals were:
- To allow easy development of Web applications where the emphasis is
  more on complicated programming logic than complicated templating.
- To make the templating language as similar to Python as possible, in
  both syntax and semantics. The aim is to make as many of the skills
  and structural techniques used in writing regular Python code
  applicable to Web applications built using Quixote.
- No magic. When it's not obvious what to do in a certain case,
  Quixote refuses to guess.

If you view a web site as a program, and web pages as subroutines,
Quixote just might be the tool for you. If you view a web site as a
graphic design showcase, and each web page as an individual work of
art, Quixote is probably not what you're looking for.

%description -l pl.UTF-8
Quixote to kolejny szkielet do tworzenia aplikacji WWW w Pythonie.
Projekt miał na celu:
- pozwolić na łatwe tworzenie aplikacji WWW tam, gdzie jest większy
  nacisk na skomplikowaną logikę programu niż skomplikowane szablony
- uczynić język szablonów podobnym do Pythona na ile to tylko możliwe,
  zarówno pod względem składni jak i semantyki; celem jest umożliwienie
  korzystania z jak największej części biegłości i technik
  strukturalnych używanych przy pisaniu normalnego kodu w Pythonie w
  aplikacjach WWW budowanych przy użyciu Quixote
- brak magii; jeśli nie jest oczywiste, co zrobić w danym przypadku,
  Quixote nie będzie zgadywał.

Jeśli ktoś patrzy na serwis WWW jak na program, a na strony jak na
procedury, Quixote może być narzędziem dla niego. Jeśli patrzy na
serwis jako na gablotę, a każdą stronę jako oddzielny obraz, Quixote
prawdopodobnie nie jest tym, czego szuka.

%package doc
Summary:	Documentation for quixote Python module
Summary(pl.UTF-8):	Dokumentacja do modułu Pythona quixote
Group:		Development/Languages/Python
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description doc
This module contains documentation files for quixote Python module.

%description doc -l pl.UTF-8
Moduł zawierający dokumentację dla modułu Pythona quixote.

%prep
%setup -q -n Quixote-%{version}

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT

%py_install

find $RPM_BUILD_ROOT%{py_sitedir} -name \*.py -exec rm {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ACKS.txt CHANGES.txt LICENSE.txt README.txt TODO
%dir %{py_sitedir}/quixote
%dir %{py_sitedir}/quixote/demo
%{py_sitedir}/quixote/demo/*.py[co]
%{py_sitedir}/quixote/demo/*.ptl
%dir %{py_sitedir}/quixote/form
%{py_sitedir}/quixote/form/*.py[co]
%dir %{py_sitedir}/quixote/html
%{py_sitedir}/quixote/html/*.py[co]
%attr(755,root,root) %{py_sitedir}/quixote/html/*.so
%dir %{py_sitedir}/quixote/ptl
%{py_sitedir}/quixote/ptl/*.py[co]
%attr(755,root,root) %{py_sitedir}/quixote/ptl/*.so
%dir %{py_sitedir}/quixote/server
%{py_sitedir}/quixote/server/*.py[co]
%{py_sitedir}/quixote/*.py[co]
%{py_sitedir}/Quixote-*.egg-info

%files doc
%defattr(644,root,root,755)
%doc doc/*
%changelog
* Sun Nov 29 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-quixote.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> ea5dabd
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 9ff4671
- automatic change: use py_build/py_install macros

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 10db5ac
- BR: pydoc

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 0785c42
- release 3

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 5f02e88
- release 2

* Sat Mar 14 2009 duddits <duddits@pld-linux.org> 0cdc424
- up to 2.6

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 16d1e85
- release 2

* Fri Dec 14 2007 Jakub Bogusz <qboosh@pld-linux.org> 3e651bd
- BR: python 2.5 (for .egg-info), rpm-pythonprov
- complete file list to avoid undetected missing dirs

* Thu Dec 13 2007 wrobell <wrobell@pld-linux.org> 176fcbe
- ver. 2.5
- license changed to MIT

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> e4e99a7
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 9481556
- converted to UTF-8

* Wed Sep 27 2006 wrobell <wrobell@pld-linux.org> 9a76ba4
- rel. 2 to rebuild with python 2.5 (final)

* Thu Jan 12 2006 wrobell <wrobell@pld-linux.org> ccab0cb
- ver. 2.4

* Sun May 08 2005 wrobell <wrobell@pld-linux.org> 11ac870
- ver. 2.0

* Thu Feb 03 2005 wrobell <wrobell@pld-linux.org> 09e85fe
- ver. 1.2

* Sun Dec 26 2004 saq <saq@pld-linux.org> bb613ad
- release 2 for rebuild with python 2.4

* Sun Oct 31 2004 paladine <paladine@pld-linux.org> 42b7c13
- spaces->tabs
- formatting

* Wed Oct 06 2004 Marcin Gajda <m.gajda@functional-software.com> 63c4cbf
- version 1.1

* Fri Jul 02 2004 Jakub Bogusz <qboosh@pld-linux.org> b7bd42d
- fixed dep for new epoch

* Fri Jul 02 2004 Marcin Gajda <m.gajda@functional-software.com> d39946d
- version 1.0, release 1, epoch 1

